## fcgi-cgi 0.2.2

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0 FATAL_ERROR)

cmake_policy(VERSION 2.6.0)

SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

INCLUDE(CheckIncludeFiles)
INCLUDE(CheckLibraryExists)
INCLUDE(FindPkgConfig)
INCLUDE(AddTargetProperties)


PROJECT(fcgi-cgi C)
SET(PACKAGE_VERSION 0.2.2)

IF("${CMAKE_BUILD_TYPE}" STREQUAL "")
	SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose the type of build, options are: None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel." FORCE)
ENDIF("${CMAKE_BUILD_TYPE}" STREQUAL "")


# libev
FIND_PACKAGE(LibEV REQUIRED)

# GLIB 2
pkg_check_modules (GLIB2 REQUIRED glib-2.0)
INCLUDE_DIRECTORIES(${GLIB2_INCLUDES_DIRS})

SET(MAIN_SOURCE fastcgi.c fcgi-cgi.c)

SET(PACKAGE_NAME ${CMAKE_PROJECT_NAME})
SET(PACKAGE_VERSION ${PACKAGE_VERSION})
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_BINARY_DIR}/config.h ESCAPE_QUOTES)
ADD_DEFINITIONS(-DHAVE_CONFIG_H)
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})

add_executable(fcgi-cgi ${MAIN_SOURCE})

ADD_TARGET_PROPERTIES(fcgi-cgi COMPILE_FLAGS "-std=gnu99 -Wall -g -Wshadow -W -pedantic -fPIC")

# libev
TARGET_LINK_LIBRARIES(fcgi-cgi ${LIBEV_LDFLAGS})
ADD_TARGET_PROPERTIES(fcgi-cgi COMPILE_FLAGS ${LIBEV_CFLAGS})

# GLIB 2
TARGET_LINK_LIBRARIES(fcgi-cgi ${GLIB2_LDFLAGS})
ADD_TARGET_PROPERTIES(fcgi-cgi COMPILE_FLAGS ${GLIB2_CFLAGS})

INSTALL(TARGETS fcgi-cgi DESTINATION bin)

# man page

SET(CMAKE_MAN_DIR "share/man" CACHE STRING
  "Install location for man pages (relative to prefix).")
MARK_AS_ADVANCED(CMAKE_MAN_DIR)

INSTALL(FILES fcgi-cgi.1 DESTINATION ${CMAKE_MAN_DIR}/man1)

=== debian/changelog ===
fcgi-cgi (0.2.2-2) unstable; urgency=low

  * backport to debhelper/compat 7

 -- Stefan Bühler <stbuehler@web.de>  Sun, 21 Jul 2013 14:24:37 +0200

fcgi-cgi (0.2.2-1) unstable; urgency=low

  * make README a proper formatted README.rst
  * [cmake] improve libev handling
  * [cmake] fix macros, glib2 including and libev cflags
  * fix description in command line help/version
  * wait for proper connection close
  * copy PATH environment variable

 -- Stefan Bühler <stbuehler@web.de>  Sun, 21 Jul 2013 13:42:48 +0200

fcgi-cgi (0.2.1-2) unstable; urgency=low

  * backport to compat 8, hardening flags

 -- Stefan Bühler <stbuehler@web.de>  Sat, 25 May 2013 13:40:47 +0200

fcgi-cgi (0.2.1-1) unstable; urgency=low

  * New upstream release
    + clear environment after request end
    + close stdin after writing request body

 -- Stefan Bühler <stbuehler@web.de>  Thu, 23 May 2013 18:02:06 +0200

fcgi-cgi (0.2.0-1) unstable; urgency=low

  * Handle requests after the first one (fixing keep-alive)

 -- Stefan Bühler <stbuehler@web.de>  Sat, 18 May 2013 18:18:18 +0200

fcgi-cgi (0.1.8-1) unstable; urgency=low

  * New upstream release
    + [cmake] fix link object/lib order
    + remove stropts.h include

 -- Stefan Bühler <source@stbuehler.de>  Thu, 28 Oct 2010 21:45:00 +0000

fcgi-cgi (0.1.7-1) unstable; urgency=low

  * Backport to debhelper 5
  * New upstream release
    + Fix libev check for libev4
    + [cmake] remove check for c++

 -- Stefan Bühler <source@stbuehler.de>  Thu, 28 Oct 2010 19:14:39 +0000

fcgi-cgi (0.1.5-1) unstable; urgency=low

  * New upstream release
    + Reenable accepting connections after hitting the limit (fixes #2195)
    + Add commandline options (-c)
    + Add man page

 -- Stefan Bühler <source@stbuehler.de>  Fri, 07 May 2010 20:53:57 +0000

fcgi-cgi (0.1.4-1) unstable; urgency=low

  * New upstream release
    + Re-enable child in/err pipes after fcgi con close

 -- Stefan Bühler <source@stbuehler.de>  Wed, 06 Jan 2010 16:27:47 +0000

fcgi-cgi (0.1.3-1) unstable; urgency=low

  * Use GByteArray instead of GString, read padding bytes in normal reads()
    and skip them

 -- Stefan Bühler <source@stbuehler.de>  Wed, 11 Nov 2009 20:38:32 +0000

fcgi-cgi (0.1.2-1) unstable; urgency=low

  * Fast chdir() fix - broke everything...

 -- Stefan Bühler <source@stbuehler.de>  Wed, 11 Nov 2009 15:23:28 +0000

fcgi-cgi (0.1.1-1) unstable; urgency=low

  * Some upstream fixes (issues with POST requests)
  * chdir() before exec()

 -- Stefan Bühler <source@stbuehler.de>  Wed, 11 Nov 2009 15:08:42 +0000

fcgi-cgi (0.1.0-1) unstable; urgency=low

  * Initial release

 -- Stefan Bühler <source@stbuehler.de>  Sun, 13 Sep 2009 17:56:48 +0000

fcgi-cgi (0.1.0-0) unstable; urgency=low

  * Initial release 

 -- Stefan Bühler <source@stbuehler.de>  Sun, 13 Sep 2009 17:56:31 +0000

=== debian/control ===
Source: fcgi-cgi
Section: web
Priority: extra
Maintainer: Stefan Bühler <stbuehler@web.de>
Build-Depends: debhelper (>= 7), cmake, libglib2.0-dev, libev-dev, cdbs
Standards-Version: 3.9.4
Homepage: http://redmine.lighttpd.net/projects/fcgi-cgi

Package: fcgi-cgi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FastCGI application to run cgi applications
 FastCGI application to run cgi applications; this allows one to run
 cgi applications with different user permissions than the webserver
 without using suExec wrappers.
 And the webserver doesn't need to fork, and it may be easier to get
 the webserver running in a chroot.

Package: fcgi-cgi-dbg
Architecture: any
Section: debug
Priority: extra
Depends: fcgi-cgi (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: FastCGI application to run cgi applications
 FastCGI application to run cgi applications; this allows one to run
 cgi applications with different user permissions than the webserver
 without using suExec wrappers.
 And the webserver doesn't need to fork, and it may be easier to get
 the webserver running in a chroot.
